package com.anytypeio.anytype.core_ui.widgets.objectIcon.custom_icons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp


val CustomIcons.CiQrCode: ImageVector
    get() {
        if (_CiQrCode != null) {
            return _CiQrCode!!
        }
        _CiQrCode = ImageVector.Builder(
            name = "CiQrCode",
            defaultWidth = 512.dp,
            defaultHeight = 512.dp,
            viewportWidth = 512f,
            viewportHeight = 512f
        ).apply {
            path(fill = SolidColor(Color(0xFF000000))) {
                moveTo(344f, 336f)
                lineTo(408f, 336f)
                arcTo(8f, 8f, 0f, isMoreThanHalf = false, isPositiveArc = true, 416f, 344f)
                lineTo(416f, 408f)
                arcTo(8f, 8f, 0f, isMoreThanHalf = false, isPositiveArc = true, 408f, 416f)
                lineTo(344f, 416f)
                arcTo(8f, 8f, 0f, isMoreThanHalf = false, isPositiveArc = true, 336f, 408f)
                lineTo(336f, 344f)
                arcTo(8f, 8f, 0f, isMoreThanHalf = false, isPositiveArc = true, 344f, 336f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000))) {
                moveTo(280f, 272f)
                lineTo(328f, 272f)
                arcTo(8f, 8f, 0f, isMoreThanHalf = false, isPositiveArc = true, 336f, 280f)
                lineTo(336f, 328f)
                arcTo(8f, 8f, 0f, isMoreThanHalf = false, isPositiveArc = true, 328f, 336f)
                lineTo(280f, 336f)
                arcTo(8f, 8f, 0f, isMoreThanHalf = false, isPositiveArc = true, 272f, 328f)
                lineTo(272f, 280f)
                arcTo(8f, 8f, 0f, isMoreThanHalf = false, isPositiveArc = true, 280f, 272f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000))) {
                moveTo(424f, 416f)
                lineTo(472f, 416f)
                arcTo(8f, 8f, 0f, isMoreThanHalf = false, isPositiveArc = true, 480f, 424f)
                lineTo(480f, 472f)
                arcTo(8f, 8f, 0f, isMoreThanHalf = false, isPositiveArc = true, 472f, 480f)
                lineTo(424f, 480f)
                arcTo(8f, 8f, 0f, isMoreThanHalf = false, isPositiveArc = true, 416f, 472f)
                lineTo(416f, 424f)
                arcTo(8f, 8f, 0f, isMoreThanHalf = false, isPositiveArc = true, 424f, 416f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000))) {
                moveTo(440f, 272f)
                lineTo(472f, 272f)
                arcTo(8f, 8f, 0f, isMoreThanHalf = false, isPositiveArc = true, 480f, 280f)
                lineTo(480f, 312f)
                arcTo(8f, 8f, 0f, isMoreThanHalf = false, isPositiveArc = true, 472f, 320f)
                lineTo(440f, 320f)
                arcTo(8f, 8f, 0f, isMoreThanHalf = false, isPositiveArc = true, 432f, 312f)
                lineTo(432f, 280f)
                arcTo(8f, 8f, 0f, isMoreThanHalf = false, isPositiveArc = true, 440f, 272f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000))) {
                moveTo(280f, 432f)
                lineTo(312f, 432f)
                arcTo(8f, 8f, 0f, isMoreThanHalf = false, isPositiveArc = true, 320f, 440f)
                lineTo(320f, 472f)
                arcTo(8f, 8f, 0f, isMoreThanHalf = false, isPositiveArc = true, 312f, 480f)
                lineTo(280f, 480f)
                arcTo(8f, 8f, 0f, isMoreThanHalf = false, isPositiveArc = true, 272f, 472f)
                lineTo(272f, 440f)
                arcTo(8f, 8f, 0f, isMoreThanHalf = false, isPositiveArc = true, 280f, 432f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000))) {
                moveTo(448f, 32f)
                horizontalLineTo(304f)
                arcToRelative(32f, 32f, 0f, isMoreThanHalf = false, isPositiveArc = false, -32f, 32f)
                verticalLineTo(208f)
                arcToRelative(32f, 32f, 0f, isMoreThanHalf = false, isPositiveArc = false, 32f, 32f)
                horizontalLineTo(448f)
                arcToRelative(32f, 32f, 0f, isMoreThanHalf = false, isPositiveArc = false, 32f, -32f)
                verticalLineTo(64f)
                arcTo(32f, 32f, 0f, isMoreThanHalf = false, isPositiveArc = false, 448f, 32f)
                close()
                moveTo(416f, 168f)
                arcToRelative(8f, 8f, 0f, isMoreThanHalf = false, isPositiveArc = true, -8f, 8f)
                horizontalLineTo(344f)
                arcToRelative(8f, 8f, 0f, isMoreThanHalf = false, isPositiveArc = true, -8f, -8f)
                verticalLineTo(104f)
                arcToRelative(8f, 8f, 0f, isMoreThanHalf = false, isPositiveArc = true, 8f, -8f)
                horizontalLineToRelative(64f)
                arcToRelative(8f, 8f, 0f, isMoreThanHalf = false, isPositiveArc = true, 8f, 8f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000))) {
                moveTo(208f, 32f)
                horizontalLineTo(64f)
                arcTo(32f, 32f, 0f, isMoreThanHalf = false, isPositiveArc = false, 32f, 64f)
                verticalLineTo(208f)
                arcToRelative(32f, 32f, 0f, isMoreThanHalf = false, isPositiveArc = false, 32f, 32f)
                horizontalLineTo(208f)
                arcToRelative(32f, 32f, 0f, isMoreThanHalf = false, isPositiveArc = false, 32f, -32f)
                verticalLineTo(64f)
                arcTo(32f, 32f, 0f, isMoreThanHalf = false, isPositiveArc = false, 208f, 32f)
                close()
                moveTo(176f, 168f)
                arcToRelative(8f, 8f, 0f, isMoreThanHalf = false, isPositiveArc = true, -8f, 8f)
                horizontalLineTo(104f)
                arcToRelative(8f, 8f, 0f, isMoreThanHalf = false, isPositiveArc = true, -8f, -8f)
                verticalLineTo(104f)
                arcToRelative(8f, 8f, 0f, isMoreThanHalf = false, isPositiveArc = true, 8f, -8f)
                horizontalLineToRelative(64f)
                arcToRelative(8f, 8f, 0f, isMoreThanHalf = false, isPositiveArc = true, 8f, 8f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000))) {
                moveTo(208f, 272f)
                horizontalLineTo(64f)
                arcToRelative(32f, 32f, 0f, isMoreThanHalf = false, isPositiveArc = false, -32f, 32f)
                verticalLineTo(448f)
                arcToRelative(32f, 32f, 0f, isMoreThanHalf = false, isPositiveArc = false, 32f, 32f)
                horizontalLineTo(208f)
                arcToRelative(32f, 32f, 0f, isMoreThanHalf = false, isPositiveArc = false, 32f, -32f)
                verticalLineTo(304f)
                arcTo(32f, 32f, 0f, isMoreThanHalf = false, isPositiveArc = false, 208f, 272f)
                close()
                moveTo(176f, 408f)
                arcToRelative(8f, 8f, 0f, isMoreThanHalf = false, isPositiveArc = true, -8f, 8f)
                horizontalLineTo(104f)
                arcToRelative(8f, 8f, 0f, isMoreThanHalf = false, isPositiveArc = true, -8f, -8f)
                verticalLineTo(344f)
                arcToRelative(8f, 8f, 0f, isMoreThanHalf = false, isPositiveArc = true, 8f, -8f)
                horizontalLineToRelative(64f)
                arcToRelative(8f, 8f, 0f, isMoreThanHalf = false, isPositiveArc = true, 8f, 8f)
                close()
            }
        }.build()

        return _CiQrCode!!
    }

@Suppress("ObjectPropertyName")
private var _CiQrCode: ImageVector? = null
